
.highlighted {
  background-color: #fff5f5;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.25);
  border-radius: 10px;
  transition: transform 0.3s, box-shadow 0.3s;
}


.highlighted:hover {
  transform: scale(1.15);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.3);
  z-index: 10;
}

.planet {
  width: 80px;
  height: 80px;
  position: relative;
  padding: 5px;
  margin: 0;
  border-radius: 5px;
  background-color: #f2f2f2;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s, box-shadow 0.3s, border-color 0.3s, background-color 0.3s;
  cursor: pointer;
  background-size: cover;
  background-position: center;
}

.robots-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  position: relative;
  width: 100%;
  height: 50px;
  overflow: hidden;
}

.planet-image{
  position: absolute;
  top: 2;
  left: 2;
  height: 20px;
  width: 20px;
}

.robot-image {
  width: 20px;
  height: 20px;
  margin: -5px;
  border-radius: 50%;
  border: 1px solid #fff;
  background-color: #f0f0f0;
}

.planet-image,
.robot-image {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

.material-text{
  display: inline-block;
  position: absolute;
  font-size: small;
  top: 2px;
  left: 5px;
  z-index: 10;
}
.copied-message {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  background-color: rgba(255, 255, 255, 0.9);
  padding: 5px;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  opacity: 0;
  visibility: hidden;
  font-size: smaller;
  transition: opacity 0.5s ease, visibility 0.5s;
  z-index: 1000000;
}

.copied-message.visible {
  opacity: 1;
  visibility: visible;
}

.planetInfo {
  display: none;
  position: absolute;
  top: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.7);
  color: white;
  padding: 1px; 
  border-radius: 2px;
  font-size: 0.75rem; 
  line-height: 1.2;
  z-index: 10; 
}
.planet-status {
  font-size: x-small;
  position: absolute;
  top: 20px; 
  right: -22px; 
}
.planet-info-wrapper {
  position: relative;
}

.planetInfo.always-show,
.planet:hover .planetInfo {
  display: block;
}

.actual-amount-tooltip {
  display: none;
  position: absolute;
  bottom: 100%;
  left: 20%;
  transform: translateX(-50%);
  background-color: #333;
  color: white;
  padding: 5px 10px;
  border-radius: 4px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.3);
  z-index: 1000;
}

.planetInfo:hover .actual-amount-tooltip {
  display: block;
}
.planet-status-peaceful {
  color: green; 
}

.planet-status-fighting {
  color: red;
}
.robot-cluster {
  position: relative;
  display: inline-block;
}

.cluster-image {
  width: 50px;
  height: 50px;
}

.robot-cluster-count {
  position: absolute;
  top: 30%;
  left: 30%;
  transform: translateY(-15%);
  color: white;
  border-radius: 50%;
  padding: 8px;
  font-size: smaller;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  text-align: center;
  min-width: 25px;
  min-height: 25px;
  display: flex;
  align-items: center;
  justify-content: center;
}


